Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::DataPushService::EntryStatus Struct Reference

Data Push Entry Status. More...

`import <DataPushService.idl;`

## Public Attributes
boolean | busy
| `true` if the entry is currently being pushed
boolean | rescheduled
| `true` if the entry is set to be pushed again immediately after completion
time | lastAttemptTime
| UNIX timestamp (UTC) of the last push attempt (0 = never)
time | lastSuccessTime
| UNIX timestamp (UTC) of last successful push (0 = never)

## Detailed Description

Data Push Entry Status.

Definition at line 58 of file DataPushService.idl.

## Member Data Documentation

## ◆ busy

boolean event::DataPushService::EntryStatus::busy

`true` if the entry is currently being pushed

Definition at line 59 of file DataPushService.idl.

## ◆ lastAttemptTime

time event::DataPushService::EntryStatus::lastAttemptTime

UNIX timestamp (UTC) of the last push attempt (0 = never)

Definition at line 62 of file DataPushService.idl.

## ◆ lastSuccessTime

time event::DataPushService::EntryStatus::lastSuccessTime

UNIX timestamp (UTC) of last successful push (0 = never)

Definition at line 63 of file DataPushService.idl.

## ◆ rescheduled

boolean event::DataPushService::EntryStatus::rescheduled

`true` if the entry is set to be pushed again immediately after completion

Definition at line 60 of file DataPushService.idl.

The documentation for this struct was generated from the following file:

- DataPushService.idl